# Add project specific ProGuard rules here.
# By default, the flags in this file are appended to flags specified
# in /Users/crossle/Library/Android/sdk/tools/proguard/proguard-android.txt
# You can edit the include path and order by changing the proguardFiles
# directive in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# Add any project specific keep options here:

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile

-keep class com.baidu.rtc.BaiduRtcRoom {*;}
-keep class org.webrtc.** {*;}

#-keep class org.webrtc.DataChannel$Observer {*;}
#-keep class org.webrtc.DataChannel$Buffer {*;}
#-keep class org.webrtc.VideoCodecInfo {*;}
#-keep class org.webrtc.VideoFrame$Buffer {*;}
#-keep class org.webrtc.NetworkMonitorAutoDetect$NetworkInformation {*;}
#-keep class org.webrtc.DataChannel$Init {*;}
#-keep class org.webrtc.SdpObserver {*;}
#-keep class org.webrtc.SessionDescription {*;}
#-keep class org.webrtc.MediaConstraints* {*;}
#-keep class org.webrtc.VideoDecoder {*;}
#-keep class org.webrtc.NetworkMonitorAutoDetect$ConnectionType {*;}
#-keep class org.webrtc.PeerConnection* {*;}
#-keep class org.webrtc.IceCandidate {*;}
#-keep class org.webrtc.StatsObserver {*;}
#-keep class org.webrtc.RTCStatsCollectorCallback {*;}
#-keep class org.webrtc.RtpTransceiver$RtpTransceiverInit {*;}
#-keep class org.webrtc.MediaStreamTrack$MediaType {*;}
#-keep class org.webrtc.EncodedImage {*;}
#-keep class org.webrtc.VideoEncoder {*;}
#-keep class org.webrtc.VideoSink {*;}
#-keep class org.webrtc.RtpTransceiver$RtpTransceiverDirection {*;}
#-keep class org.webrtc.EncodedImage$FrameType {*;}
#-keep class org.webrtc.EncodedImage$1 {*;}
#-keep class org.webrtc.NetworkMonitorAutoDetect$IPAddress {*;}
#-keep class org.webrtc.PeerConnection$SignalingState {*;}
#-keep class org.webrtc.PeerConnection$IceConnectionState {*;}
#-keep class org.webrtc.VideoEncoder$BitrateAllocation {*;}
#-keep class org.webrtc.PeerConnection$IceGatheringState {*;}
#-keep class org.webrtc.VideoEncoder$EncodeInfo {*;}
#-keep class org.webrtc.PeerConnectionFactory$Options {*;}
#-keep class org.webrtc.VideoEncoderFactory {*;}
#-keep class org.webrtc.VideoDecoderFactory {*;}
#-keep class org.webrtc.JNILogging {*;}
#-keep class org.webrtc.RTCStatsReport {*;}
#-keep class org.webrtc.RtpParameters {*;}
#-keep class org.webrtc.RtpReceiver$Observer {*;}
#-keep class org.webrtc.RtpParameters {*;}
#-keep class org.webrtc.SessionDescription$Type {*;}
#-keep class org.webrtc.StatsReport {*;}
#-keep class org.webrtc.RendererCommon$ScalingType {*;}
#-keep class org.webrtc.VideoDecoder$Settings {*;}
#-keep class org.webrtc.RtpParameters$Rtcp {*;}
#-keep class org.webrtc.VideoDecoder$Callback {*;}
#-keep class org.webrtc.StatsReport$Value {*;}
#-keep class org.webrtc.VideoEncoder$Settings {*;}
#-keep class org.webrtc.VideoEncoder$Callback {*;}
#-keep class org.webrtc.SSLCertificateVerifier {*;}
#-keep class org.webrtc.Loggable {*;}
#-keep class org.webrtc.VideoDecoder$DecodeInfo {*;}
#-keep class org.webrtc.VideoEncoder$CodecSpecificInfo {*;}
#-keep class org.webrtc.Logging$Severity {*;}
#-keep class org.webrtc.WebRtcClassLoader {*;}
#-keep class org.webrtc.CalledByNative {*;}
#-keep class org.webrtc.voiceengine.BuildInfo {*;}
#-keep class org.webrtc.voiceengine.WebRtcAudioManager {*;}
#-keep class org.webrtc.voiceengine.WebRtcAudioRecord {*;}
#-keep class org.webrtc.voiceengine.WebRtcAudioTrack {*;}
#-keep class org.webrtc.JniHelper {*;}
#-keep class org.webrtc.audio.WebRtcAudioManager {*;}
#-keep class org.webrtc.audio.WebRtcAudioRecord {*;}
#-keep class org.webrtc.audio.WebRtcAudioTrack {*;}
#-keep class org.webrtc.PeerConnectionFactory {*;}
#-keep class org.webrtc.TurnCustomizer {*;}
#-keep class org.webrtc.RtpSender {*;}
#-keep class org.webrtc.RtpReceiver {*;}
#-keep class org.webrtc.NetworkMonitor {*;}
#-keep class org.webrtc.RtpParameters* {*;}
#-keep class org.webrtc.VideoFrame* {*;}
#-keep class org.webrtc.WrappedNativeI420Buffer {*;}
#-keep class org.webrtc.MediaStream {*;}

-dontwarn com.baidu.cloud.**

-dontwarn com.baidu.rtc.**
-dontwarn org.webrtc.**

-keep class okhttp3.** { *; }
-keep interface okhttp3.** { *; }
-dontwarn okhttp3.**

-keep class okio.** { *; }
-keep interface okio.** { *; }
-dontwarn okio.**

-keep class javax.annotation..** {*;}